<?php
/**
 * Schema
 *
 * @class Schema
 * @package KimaAI
 * @since 1.0.0
 */

declare(strict_types=1);

namespace KimaAI;

use KimaAI\Admin\Wizard\Wizard;
use KimaAI\Database\Migrator;
use KimaAI\Models\ChatFeedbackAdminModel;
use KimaAI\Models\ChatModel;
use KimaAI\Models\EmbeddingLogsModel;
use KimaAI\Models\EmbeddingsModel;
use KimaAI\Models\ImageModel;
use KimaAI\Models\LinkSuggestionModel;
use KimaAI\Models\ChatFeedbackModel;
use KimaAI\Models\ChatCsatModel;

defined('ABSPATH') || exit;

/**
 * Class Schema
 */
class Schema {

  /**
   * Registers schema lifecycle hooks.
   */
  public static function registerHooks(): void {
    Migrator::hooks();
  }

  /**
   * The register_activation_hook() callback.
   */
  public static function activate(): void {
    Migrator::activate();
  }

  /**
   * The register_deactivation_hook() callback.
   */
  public static function deactivate(): void {
  }

  /**
   * The register_uninstall_hook() callback.
   */
  public static function uninstall(): void {
  }
}
